#include "NetworkAddress.h"
int NetworkAddress::compare(const NetworkObject & netObj) const
{
  const NetworkAddress * ptr = dynamic_cast<const NetworkAddress *>(&netObj);

  if (!ptr)
    fatal("NetworkAddress::compare(): Unable to compare %s and %s",
	  className().c_str(), netObj.className().c_str());

  if (addressNBO() == ptr->addressNBO())
    return portNBO() - ptr->portNBO();
  else
    return addressNBO() - ptr->addressNBO();
}
