/** ClientUDPCommunicator.java
 *  @author Joel C. Adams
 *  @version 1.0.  Copyright 2000.  All rights reserved.
 */

package cliser;

import cliser.UDPCommunicator;
import java.net.*;        // DatagramSocket, InetAddress, ...

public class ClientUDPCommunicator extends UDPCommunicator
{
    public ClientUDPCommunicator(String remoteHost, int port)
    {
	super(remoteHost, port);
    }

    /** definition of abstract UDPCommunicator.initSocket()
     *  @return a DatagramSocket initialized for a client.
     */
    protected DatagramSocket initSocket()
    {
	DatagramSocket result = null;
	try { result = new DatagramSocket(); }
	catch (Exception e) { System.err.println(e); System.exit(1); }
	return result;
    }

}

